##### basic_raw_socket::remote_endpoint (1 of 2 overloads)

Inherited from basic_socket.

Get the remote endpoint of the socket.

    endpoint_type remote_endpoint() const;

This function is used to obtain the remote endpoint of the socket.

###### Return Value

An object that represents the remote endpoint of the socket.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

    asio::ip::tcp::socket socket(my_context);
    ...
    asio::ip::tcp::endpoint endpoint = socket.remote_endpoint();